<?php
/**
 * ################################################################################
 * WP MyBackup
 * 
 * Copyright 2016 Eugen Mihailescu <eugenmihailescux@gmail.com>
 * 
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * ################################################################################
 * 
 * Short description:
 * URL: http://wpmybackup.mynixworld.info
 * 
 * Git revision information:
 * 
 * @version : 0.2.3-32 $
 * @commit  : 12666b353e296a53996384f716ff53eb5d3fa43c $
 * @author  : eugenmihailescu <eugenmihailescux@gmail.com> $
 * @date    : Mon Apr 11 11:17:01 2016 +0200 $
 * @file    : CurlOptsParamsCodes.php $
 * 
 * @id      : CurlOptsParamsCodes.php | Mon Apr 11 11:17:01 2016 +0200 | eugenmihailescu <eugenmihailescux@gmail.com> $
*/

namespace MyBackup;

class CurlOptsParamsCodes{
static $_CURLOPT_PARAMS_CODES_=array(
0 => 'CURLFTPSSL_NONE',
0 => 'CURL_IPRESOLVE_WHATEVER',
0 => 'CURLAUTH_NONE',
0 => 'CURLFTPSSL_CCC_NONE',
0 => 'CURLUSESSL_NONE',
0 => 'CURLPAUSE_RECV_CONT',
0 => 'CURLPAUSE_CONT',
0 => 'CURL_TIMECOND_NONE',
0 => 'CURLE_OK',
0 => 'CURLPROXY_HTTP',
0 => 'CURLM_OK',
0 => 'CURLSHOPT_NONE',
0 => 'CURL_HTTP_VERSION_NONE',
0 => 'CURL_SSLVERSION_DEFAULT',
0 => 'CURL_NETRC_IGNORED',
0 => 'CURLPAUSE_SEND_CONT',
0 => 'CURLFTPAUTH_DEFAULT',
0 => 'CURL_FNMATCHFUNC_MATCH',
0 => 'CURLSSH_AUTH_NONE',
1 => 'CURL_NETRC_OPTIONAL',
1 => 'CURL_FNMATCHFUNC_NOMATCH',
1 => 'CURL_SSLVERSION_TLSv1',
1 => 'CURL_VERSION_IPV6',
1 => 'CURL_RTSPREQ_OPTIONS',
1 => 'CURLSSH_AUTH_DEFAULT',
1 => 'CURL_TLSAUTH_SRP',
1 => 'CURL_TIMECOND_IFMODSINCE',
1 => 'CURLSHOPT_SHARE',
1 => 'CURLM_BAD_HANDLE',
1 => 'CURLMSG_DONE',
1 => 'CURLE_UNSUPPORTED_PROTOCOL',
1 => 'CURLM_CALL_MULTI_PERFORM',
1 => 'CURLSSLOPT_ALLOW_BEAST',
1 => 'CURL_IPRESOLVE_V4',
1 => 'CURLCLOSEPOLICY_OLDEST',
1 => 'CURLGSSAPI_DELEGATION_POLICY_FLAG',
1 => 'CURL_HTTP_VERSION_1_0',
1 => 'CURLAUTH_BASIC',
1 => 'CURLFTPAUTH_SSL',
1 => 'CURLPROTO_ALL',
1 => 'CURLFTPSSL_CCC_PASSIVE',
1 => 'CURLFTPMETHOD_MULTICWD',
1 => 'CURLPROTO_HTTP',
1 => 'CURLFTPSSL_TRY',
1 => 'CURLUSESSL_TRY',
1 => 'CURLSSH_AUTH_ANY',
1 => 'CURLPAUSE_RECV',
1 => 'CURLSSH_AUTH_PUBLICKEY',
2 => 'CURL_HTTP_VERSION_1_1',
2 => 'CURLSHOPT_UNSHARE',
2 => 'CURLM_BAD_EASY_HANDLE',
2 => 'CURLUSESSL_CONTROL',
2 => 'CURLGSSAPI_DELEGATION_FLAG',
2 => 'CURLSSH_AUTH_PASSWORD',
2 => 'CURLFTPMETHOD_NOCWD',
2 => 'CURLPROTO_HTTPS',
2 => 'CURL_VERSION_KERBEROS4',
2 => 'CURLAUTH_DIGEST',
2 => 'CURLFTPSSL_CONTROL',
2 => 'CURL_RTSPREQ_DESCRIBE',
2 => 'CURL_FNMATCHFUNC_FAIL',
2 => 'CURLINFO_HEADER_OUT',
2 => 'CURL_IPRESOLVE_V6',
2 => 'CURLFTPSSL_CCC_ACTIVE',
2 => 'CURL_NETRC_REQUIRED',
2 => 'CURL_SSLVERSION_SSLv2',
2 => 'CURLFTPAUTH_TLS',
2 => 'CURL_LOCK_DATA_COOKIE',
2 => 'CURL_TIMECOND_IFUNMODSINCE',
2 => 'CURLE_FAILED_INIT',
2 => 'CURLCLOSEPOLICY_LEAST_RECENTLY_USED',
3 => 'CURLFTPMETHOD_SINGLECWD',
3 => 'CURLM_OUT_OF_MEMORY',
3 => 'CURLMOPT_PIPELINING',
3 => 'CURLVERSION_NOW',
3 => 'CURL_SSLVERSION_SSLv3',
3 => 'CURLUSESSL_ALL',
3 => 'CURLCLOSEPOLICY_LEAST_TRAFFIC',
3 => 'CURL_RTSPREQ_ANNOUNCE',
3 => 'CURLFTPSSL_ALL',
3 => 'CURL_TIMECOND_LASTMOD',
3 => 'CURLE_URL_MALFORMAT',
3 => 'CURL_LOCK_DATA_DNS',
4 => 'CURL_LOCK_DATA_SSL_SESSION',
4 => 'CURL_VERSION_SSL',
4 => 'CURLM_INTERNAL_ERROR',
4 => 'CURLPROXY_SOCKS4',
4 => 'CURLE_URL_MALFORMAT_USER',
4 => 'CURLAUTH_GSSNEGOTIATE',
4 => 'CURLPAUSE_SEND',
4 => 'CURLCLOSEPOLICY_SLOWEST',
4 => 'CURLSSH_AUTH_HOST',
4 => 'CURL_RTSPREQ_SETUP',
4 => 'CURLPROTO_FTP',
5 => 'CURLPROXY_SOCKS5',
5 => 'CURLE_COULDNT_RESOLVE_PROXY',
5 => 'CURL_RTSPREQ_PLAY',
5 => 'CURLCLOSEPOLICY_CALLBACK',
5 => 'CURLPAUSE_ALL',
6 => 'CURL_RTSPREQ_PAUSE',
6 => 'CURLE_COULDNT_RESOLVE_HOST',
6 => 'CURLMOPT_MAXCONNECTS',
7 => 'CURL_RTSPREQ_TEARDOWN',
7 => 'CURLE_COULDNT_CONNECT',
8 => 'CURLSSH_AUTH_KEYBOARD',
8 => 'CURL_VERSION_LIBZ',
8 => 'CURLPROTO_FTPS',
8 => 'CURLAUTH_NTLM',
8 => 'CURL_RTSPREQ_GET_PARAMETER',
8 => 'CURLE_FTP_WEIRD_SERVER_REPLY',
9 => 'CURL_RTSPREQ_SET_PARAMETER',
9 => 'CURLE_FTP_ACCESS_DENIED',
10 => 'CURLE_FTP_USER_PASSWORD_INCORRECT',
10 => 'CURL_RTSPREQ_RECORD',
11 => 'CURL_RTSPREQ_RECEIVE',
11 => 'CURLE_FTP_WEIRD_PASS_REPLY',
12 => 'CURLE_FTP_WEIRD_USER_REPLY',
13 => 'CURLE_FTP_WEIRD_PASV_REPLY',
14 => 'CURLE_FTP_WEIRD_227_FORMAT',
15 => 'CURLE_FTP_CANT_GET_HOST',
16 => 'CURLAUTH_DIGEST_IE',
16 => 'CURLPROTO_SCP',
16 => 'CURLE_FTP_CANT_RECONNECT',
17 => 'CURLE_FTP_COULDNT_SET_BINARY',
17 => 'CURLAUTH_ANY',
18 => 'CURLE_PARTIAL_FILE',
18 => 'CURLE_FTP_PARTIAL_FILE',
18 => 'CURLAUTH_ANYSAFE',
19 => 'CURLE_FTP_COULDNT_RETR_FILE',
20 => 'CURLE_FTP_WRITE_ERROR',
21 => 'CURLE_FTP_QUOTE_ERROR',
22 => 'CURLE_HTTP_NOT_FOUND',
22 => 'CURLE_HTTP_RETURNED_ERROR',
23 => 'CURLE_WRITE_ERROR',
24 => 'CURLE_MALFORMAT_USER',
25 => 'CURLE_FTP_COULDNT_STOR_FILE',
26 => 'CURLE_READ_ERROR',
27 => 'CURLE_OUT_OF_MEMORY',
28 => 'CURLE_OPERATION_TIMEDOUT',
28 => 'CURLE_OPERATION_TIMEOUTED',
29 => 'CURLE_FTP_COULDNT_SET_ASCII',
30 => 'CURLE_FTP_PORT_FAILED',
31 => 'CURLE_FTP_COULDNT_USE_REST',
32 => 'CURLE_FTP_COULDNT_GET_SIZE',
32 => 'CURLPROTO_SFTP',
33 => 'CURLE_HTTP_RANGE_ERROR',
34 => 'CURLE_HTTP_POST_ERROR',
35 => 'CURLE_SSL_CONNECT_ERROR',
36 => 'CURLE_BAD_DOWNLOAD_RESUME',
36 => 'CURLE_FTP_BAD_DOWNLOAD_RESUME',
37 => 'CURLE_FILE_COULDNT_READ_FILE',
38 => 'CURLE_LDAP_CANNOT_BIND',
39 => 'CURLE_LDAP_SEARCH_FAILED',
40 => 'CURLE_LIBRARY_NOT_FOUND',
41 => 'CURLE_FUNCTION_NOT_FOUND',
42 => 'CURLE_ABORTED_BY_CALLBACK',
42 => 'CURLINFO_LASTONE',
43 => 'CURLE_BAD_FUNCTION_ARGUMENT',
44 => 'CURLE_BAD_CALLING_ORDER',
45 => 'CURLE_HTTP_PORT_FAILED',
46 => 'CURLE_BAD_PASSWORD_ENTERED',
47 => 'CURLE_TOO_MANY_REDIRECTS',
48 => 'CURLE_UNKNOWN_TELNET_OPTION',
49 => 'CURLE_TELNET_OPTION_SYNTAX',
50 => 'CURLE_OBSOLETE',
51 => 'CURLE_SSL_PEER_CERTIFICATE',
52 => 'CURLE_GOT_NOTHING',
53 => 'CURLE_SSL_ENGINE_NOTFOUND',
54 => 'CURLE_SSL_ENGINE_SETFAILED',
55 => 'CURLE_SEND_ERROR',
56 => 'CURLE_RECV_ERROR',
57 => 'CURLE_SHARE_IN_USE',
58 => 'CURLE_SSL_CERTPROBLEM',
59 => 'CURLE_SSL_CIPHER',
60 => 'CURLE_SSL_CACERT',
61 => 'CURLE_BAD_CONTENT_ENCODING',
62 => 'CURLE_LDAP_INVALID_URL',
63 => 'CURLE_FILESIZE_EXCEEDED',
64 => 'CURLE_FTP_SSL_FAILED',
64 => 'CURLPROTO_TELNET',
79 => 'CURLE_SSH',
128 => 'CURLPROTO_LDAP',
256 => 'CURLPROTO_LDAPS',
512 => 'CURLPROTO_DICT',
1024 => 'CURLPROTO_FILE',
2048 => 'CURLPROTO_TFTP',
4096 => 'CURLPROTO_IMAP',
8192 => 'CURLPROTO_IMAPS',
16384 => 'CURLPROTO_POP3',
32768 => 'CURLPROTO_POP3S',
65536 => 'CURLPROTO_SMTP',
131072 => 'CURLPROTO_SMTPS',
262144 => 'CURLPROTO_RTSP',
524288 => 'CURLPROTO_RTMP',
1048576 => 'CURLPROTO_RTMPT',
1048577 => 'CURLINFO_EFFECTIVE_URL',
1048594 => 'CURLINFO_CONTENT_TYPE',
1048597 => 'CURLINFO_PRIVATE',
1048606 => 'CURLINFO_FTP_ENTRY_PATH',
1048607 => 'CURLINFO_REDIRECT_URL',
1048608 => 'CURLINFO_PRIMARY_IP',
1048612 => 'CURLINFO_RTSP_SESSION_ID',
1048617 => 'CURLINFO_LOCAL_IP',
2097152 => 'CURLPROTO_RTMPE',
2097154 => 'CURLINFO_RESPONSE_CODE',
2097154 => 'CURLINFO_HTTP_CODE',
2097163 => 'CURLINFO_HEADER_SIZE',
2097164 => 'CURLINFO_REQUEST_SIZE',
2097165 => 'CURLINFO_SSL_VERIFYRESULT',
2097166 => 'CURLINFO_FILETIME',
2097172 => 'CURLINFO_REDIRECT_COUNT',
2097174 => 'CURLINFO_HTTP_CONNECTCODE',
2097175 => 'CURLINFO_HTTPAUTH_AVAIL',
2097176 => 'CURLINFO_PROXYAUTH_AVAIL',
2097177 => 'CURLINFO_OS_ERRNO',
2097178 => 'CURLINFO_NUM_CONNECTS',
2097187 => 'CURLINFO_CONDITION_UNMET',
2097189 => 'CURLINFO_RTSP_CLIENT_CSEQ',
2097190 => 'CURLINFO_RTSP_SERVER_CSEQ',
2097191 => 'CURLINFO_RTSP_CSEQ_RECV',
2097192 => 'CURLINFO_PRIMARY_PORT',
2097194 => 'CURLINFO_LOCAL_PORT',
3145731 => 'CURLINFO_TOTAL_TIME',
3145732 => 'CURLINFO_NAMELOOKUP_TIME',
3145733 => 'CURLINFO_CONNECT_TIME',
3145734 => 'CURLINFO_PRETRANSFER_TIME',
3145735 => 'CURLINFO_SIZE_UPLOAD',
3145736 => 'CURLINFO_SIZE_DOWNLOAD',
3145737 => 'CURLINFO_SPEED_DOWNLOAD',
3145738 => 'CURLINFO_SPEED_UPLOAD',
3145743 => 'CURLINFO_CONTENT_LENGTH_DOWNLOAD',
3145744 => 'CURLINFO_CONTENT_LENGTH_UPLOAD',
3145745 => 'CURLINFO_STARTTRANSFER_TIME',
3145747 => 'CURLINFO_REDIRECT_TIME',
3145761 => 'CURLINFO_APPCONNECT_TIME',
4194304 => 'CURLPROTO_RTMPTE',
4194331 => 'CURLINFO_SSL_ENGINES',
4194332 => 'CURLINFO_COOKIELIST',
4194338 => 'CURLINFO_CERTINFO',
8388608 => 'CURLPROTO_RTMPS',
16777216 => 'CURLPROTO_RTMPTS',
33554432 => 'CURLPROTO_GOPHER',
268435457 => 'CURL_READFUNC_PAUSE',
268435457 => 'CURL_WRITEFUNC_PAUSE',
2147483648 => 'CURLAUTH_ONLY');
static function getCurlOptParamCodeById($mixed) {
if (! is_array ( $mixed )) return self::$_CURLOPT_PARAMS_CODES_ [$mixed];
else {$result = array ();
foreach ( $mixed as $key => $value )
$result [array_key_exists ( $key, self::$_CURLOPT_PARAMS_CODES_ ) ? self::$_CURLOPT_PARAMS_CODES_ [$key] : $key] = $value;
return $result;}}
}
?>